aboutsummaryrefslogtreecommitdiffstats
path: root/pgaas/src/stage/opt/app/pgaas/bin/stop_maintenance_mode
diff options
context:
space:
mode:
Diffstat (limited to 'pgaas/src/stage/opt/app/pgaas/bin/stop_maintenance_mode')
-rw-r--r--pgaas/src/stage/opt/app/pgaas/bin/stop_maintenance_mode28
1 files changed, 28 insertions, 0 deletions
diff --git a/pgaas/src/stage/opt/app/pgaas/bin/stop_maintenance_mode b/pgaas/src/stage/opt/app/pgaas/bin/stop_maintenance_mode
new file mode 100644
index 0000000..fc582ba
--- /dev/null
+++ b/pgaas/src/stage/opt/app/pgaas/bin/stop_maintenance_mode
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this code except in compliance
+# with the License. You may obtain a copy of the License
+# at http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+
+PATH=/opt/app/pgaas/bin:/opt/app/postgresql-prep/bin:$PATH
+
+INMAINTENANCE=/var/run/postgresql/inmaintenance
+
+if [ ! -f $INMAINTENANCE ]
+then
+ echo "Not in maintenance mode" 1>&2
+ exit 1
+fi
+
+echo "Restarting PostgreSQL server"
+pg_ctl_start
+echo "Returning server to normal rotation"
+rm -f $INMAINTENANCE